読者です 読者をやめる 読者になる 読者になる

データ管理をExcelでしつつDbUnitを使う

久しぶりにDbUnitを触ってみようと思い、最新版をダウンロードして見ました。
依存するjarにSLF4Jが追加されてました。もはやlog4jは過去のものなのでしょうか?


で、Excelでデータを管理するのでPOIの新しいバージョンも見てみました。
おぉ、バージョンが3.5になって、Office2007も動きそうです(試す環境がありませんが)


で、DbUnitを起動してみると・・・。あれー?
Exceptionだ。org.apache.poi.hssf.usermodel.HSSFCell.setEncodingがないだとー。
確かに、新しい奴では無くなっている。


MavenDbUnitの依存jarを取ってくると、POIは3.1でしたか。
(3.1ではメソッドはあるけど@deprecated扱いでした)


新しいPOIにも対応するとうれしいな。